#!/bin/sh

echo
DATUM=`date +"%Y%m%d"`

# Zuerst Originaldaten kopieren:
cp -p obvsg1.se obvsg1.seq
cp -p obvsg.se obvsg.seq

SYSTEM=`uname -a | grep -ci sunos`
  if [ $SYSTEM -eq 0 ]; then # Linux
  echo -e "Kategorie 003 wird mit Datum $DATUM belegt..."
  echo
  #echo Datum: $DATUM
  # Setze heutiges Datum:
  sed -i -e "s/ 003   L .*/ 003   L \$\$a$DATUM/g" obvsg1.seq
  if [ $? -ne 0 ]; then
    sed -e "s/ 003   L .*/ 003   L \$\$a$DATUM/g" obvsg1.seq > obvsg1.tmp; mv obvsg1.tmp obvsg1.seq
fi
  sed -i -e "s/ 003   L .*/ 003   L \$\$a$DATUM/g" obvsg.seq

  echo -e "Bitte in einem weiteren Fester util g 2 ausführen und das Prefix des"
  echo -e -n "Zählers last-001-number eingeben: "
  read PREFIX
  #echo Prefix: $PREFIX
  echo
  echo -e "Ersetze Prefix der ID-Nummer Kategorie 001 RE mit $PREFIX ..."
  IDN="$PREFIX""9000000"
  sed -i -e "s/RE9000000/$IDN/g" obvsg1.seq
  sed -i -e "s/RE9000000/$IDN/g" obvsg.seq
else
  # SunOS
  echo "Kategorie 003 wird mit Datum $DATUM belegt..."
  echo
  #echo Datum: $DATUM
  # Setze heutiges Datum:
  sed -e "s/ 003   L .*/ 003   L \$\$a$DATUM/g" obvsg1.seq > obvsg1.tmp; mv obvsg1.tmp obvsg1.seq
  sed -e "s/ 003   L .*/ 003   L \$\$a$DATUM/g" obvsg.seq  > obvsg.tmp;   mv obvsg.tmp obvsg.seq

  echo "Bitte in einem weiteren Fester util g 2 ausführen und das Prefix des"
  echo "Zählers last-001-number eingeben: "
  read PREFIX
  #echo Prefix: $PREFIX
  echo
  echo "Ersetze Prefix der ID-Nummer Kategorie 001 RE mit $PREFIX ..."
  IDN="$PREFIX""9000000"
  sed -e "s/RE9000000/$IDN/g" obvsg1.seq > obvsg1.tmp; mv obvsg1.tmp obvsg1.seq
  sed -e "s/RE9000000/$IDN/g" obvsg.seq  > obvsg.tmp;   mv obvsg.tmp obvsg.seq
fi

echo
echo fertig
echo
