# Extrahiere definierte Index aus tab00.ger des HBZ, sortiert nach Indexcode:
set file=indexe_hbz.txt
set tab00=tab00.ger.hbz

set SYSTEM=`uname -a | grep -ci sunos`
if ( $SYSTEM == 1 ) then 
  echo SunOS 
  set ech="/bin/echo "
else
  set ech="/bin/echo -e"
endif

$ech "Direktindizes (IND) HBZ" > $file
$ech "-----------------------" >> $file
grep -v "^!" $tab00 | grep " IND " | cut -c3-5,37- | sort >> $file
$ech "\n" >> $file

$ech "Phrasenindizes (ACC) HBZ" >> $file
$ech "------------------------" >> $file
grep -v "^!" $tab00 | grep " ACC " | cut -c3-5,37- | sort >> $file
$ech "\n" >> $file
$ech "Wortindizes (W-xxx) HBZ" >> $file
$ech "------------------------" >> $file
grep -v "^!" $tab00 | grep " W-" | cut -c3-5,37- | sort >> $file
$ech "\n" >> $file

set file=indexe_lokal.txt
set tab00="$data_tab/tab00.ger"

$ech "Direktindizes (IND) LOKAL" > $file
$ech "-----------------------" >> $file
grep -v "^!" $tab00 | grep " IND " | cut -c3-5,37- | sort >> $file
$ech "\n" >> $file
$ech "Phrasenindizes (ACC) LOKAL" >> $file
$ech "------------------------" >> $file
grep -v "^!" $tab00 | grep " ACC " | cut -c3-5,37- | sort >> $file
$ech "\n" >> $file

$ech "Wortindizes (W-xxx) LOKAL" >> $file
$ech "------------------------" >> $file
grep -v "^!" $tab00 | grep " W-" | cut -c3-5,37- | sort >> $file
$ech "\n" >> $file

$ech "\nEs wurden die Dateien indexe_hbz.txt sowie indexe_lokal.txt erstellt"
$ech "zum Vergleichen der definierten Indexcodes.\n"
unset file
unset tab00
unset ech
